<div class="wrapper-full-page">
  <!--<div class="page-header login-page header-filter" filter-color="black" style="background-image: url('./content/img/bg.JPG'); background-size: cover; background-position: top center;">-->
  <div class="page-header login-page bg">
	  <div class="bg2">
  <!--<div class="page-header login-page" style="background-color: rgb(211, 211, 211);">-->
    <!--   you can change the color of the filter page using: data-color="blue | purple | green | orange | red | rose " -->
    <div class="container">
		<!-- <div class="row">
	        <button mat-fab color="accent" aria-label="Example icon button with a delete icon">
	          <mat-icon>person_add</mat-icon>
	        </button>
	    </div> -->
	    <!-- d-lg-block d-md-block d-sm-block d-print-block-->
      <div class="row">
		  
		  <!--<div class="d-lg-none d-sm-block col-lg-3">
			  <img [src]="'./content/images/purido_2.png'" class="logo2">
		  </div>-->
		 <div class="d-none d-lg-block col-lg-3">
			  <img [src]="'./content/images/purido_2.png'" class="logo">
		  </div>
		  <div class="d-none d-lg-block col-lg-4 col-md-3 col-sm-3">
			  <div class="row">
			  	<p><b>Smart System Fidusia (SSF)</b></p>
			  </div>
			  <div class="row">
			  <p>
				  Sistem Aplikasi Otomatisasi Bisnis Proses yang khusus dibuat dan dikembangkan untuk mempercepat,
				  mempermudah dan mengorganisir proses pekerjaan pengolahan data pada proses Pendaftaran Jaminan Fidusia secara Online 
				  dengan keluaran proses adalah Sertipikat Jaminan Fidusia pada sistem AHU Fidusia Online di  Kementerian Hukum Republik Indonesia, 
				  sebagaimana diamanatkan oleh UU No, 42 Tahun 1999 Tentang Jaminan Fidusia.
			  </p>
			  </div>
		  </div> 
	  <div class="d-lg-none d-sm-block"><img [src]="'./content/images/purido_2.png'" class="logo2"></div>
        <div class="col-lg-5 col-md-6 col-sm-6 ml-auto">
			<form class="form" role="form" (ngSubmit)="login()">
				<div class="card card-login card-hidden" id="card-login">
					<div class="card-header card-header-warning text-center ml-auto mr-auto" style="width: 20rem;">
						<h4 class="card-title" *ngIf="cekCode">SELAMAT DATANG!</h4>
						<h4 class="card-title" *ngIf="!cekCode">VERIFIKASI 2 LANGKAH!</h4>
					</div>
					<div class="card-body">
						<span class="bmd-form-group" *ngIf="!cekCode || inCode">
							 <div class="alert alert-danger" *ngIf="authenticationError">
					                <strong>Failed to sign in!</strong> Silahkan periksa kode anda dan coba kembali.
					                <!--Please check your code if expired and try again-->
					          </div>
							<div class="input-group">
								<p class="paragraph text-center">Silahkan masukan kode verifikasi yang dikirim ke email:</p>
							</div>
					 	</span>
						<span class="bmd-form-group">
							<div class="input-group"  *ngIf="!cekCode && !inCode">
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons">mail</i>
									</span>
								</div>
								<input type="text" class="form-control" name="email" id="email" [(ngModel)]="email" readonly>
							</div>
							<div class="input-group" *ngIf="inCode">
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons">create</i>
									</span>
								</div>
								<input type="text" class="form-control" name="code" id="code" placeholder="Silahkan isi kode OTP 6 digit" [(ngModel)]="code">
							</div>
						</span>
					</div>
					<div class="card-body" *ngIf="cekCode">
					 <div class="alert alert-danger" *ngIf="authenticationError" jhiTranslate="login.messages.error.authentication">
			                <strong>Failed to sign in!</strong> Silakan periksa kredensial Anda dan coba lagi
			          </div>
						<span class="bmd-form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons">face</i>
									</span>
								</div>
								<input type="text" class="form-control" name="username" id="username" placeholder="{{'global.form.username.placeholder' | translate}}" [(ngModel)]="username">
							</div>
						</span>
						<span class="bmd-form-group">
							<div class="input-group">
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons">lock_outline</i>
									</span>
								</div>
								
								<input style="float: left" [type]="hide ? 'password' : 'text'" class="form-control" name="password" 
								id="password" placeholder="{{'login.form.password.placeholder' | translate}}" [(ngModel)]="password" required>
								<span class="input-placeholder">
								<!--<mat-icon  class="placeholder" (click)="pass()">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon> -->
								</span>
							</div>
						</span>
						<br/>
						<span class="bmd-form-group">
							<div class="input-group"></div>
						  <div class="input-group">
							  <label class="form-check-label">
							    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							  </label>
								<div class="input-group-prepend">
									<span class="input-group-text">
										<i class="material-icons"></i>
									</span>
								</div>
							  <input class="form-check-control" type="checkbox" value="" id="rememberMe">
							  <label class="form-check-label" for="rememberMe">
							    &nbsp;&nbsp;Remember me
							  </label>
						  </div>
						</span>
					</div>
					<div class="card-footer justify-content-end">
              				<button type="submit" class="btn btn btn-outline-warning btn-sm">Masuk ORI</button>
							<span *ngIf="inCode"><label class="form-check-label">{{display}}&nbsp;&nbsp;</label></span>
              			    <button type="button" (click)="masuk(code)" class="btn btn-outline-warning btn-sm" *ngIf="inCode">Verify</button>
              				<button type="button" (click)="ceklogin()" class="btn btn-outline-warning btn-sm" *ngIf="cekCode">Masuk</button>
              				<button type="button" (click)="inputCode()" class="btn btn-outline-warning btn-sm" *ngIf="!cekCode && !inCode">Kirim</button>
							<!--<button type="button" (click)="cancelCek()" class="btn btn btn-danger btn-sm"  *ngIf="!cekCode && !inCode">Batal</button>-->
					
					</div>
					<br/>
				</div>
			</form>
		</div>
    </div>
    </div>
		<footer class="footer">
			<div class="container">
				<div class="copyright pull-left">
            		&nbsp;&nbsp;&nbsp; &copy; 2025, PT. Puri Digital Output <a href="https://purido.co.id" target="_blank"></a> 
				</div>
			</div>
		</footer>
	</div>
	</div>
</div>
